from astropy.io import fits
import numpy as np

wave = np.linspace(0.3,1.1,100)
transmission = wave*0+0.9

c1  = fits.Column(name='wave', format='D', array=wave)
c2  = fits.Column(name='transmission', format='D', array=transmission)
coldefs = fits.ColDefs([c1,c2])

tbhdu   = fits.new_table(coldefs)
hdu     = fits.PrimaryHDU()
thdulist = fits.HDUList([hdu,tbhdu])

filename = 'ccd_qe.fits'
thdulist.writeto(filename,overwrite=True)

