import sys
import numpy as np
from astropy.io import fits

filename = sys.argv[1]
crop = int(sys.argv[2])

cropside = np.floor(crop/2.0)

with fits.open(filename,mode='update') as hdu:
    image = hdu[0].data
    dimensions = image.shape
    oldflux = np.sum(image)
    middlex = dimensions[1]/2.0
    middley = dimensions[0]/2.0
    xs = int(middlex-cropside)
    xe = int(middlex+cropside)
    ys = int(middley-cropside)
    ye = int(middley+cropside)

    newimage = image[ys:ye+1,xs:xe+1]
    

    newflux = np.sum(newimage)

    print(filename, newflux/oldflux)

    hdu[0].data = newimage
    hdu[0].header['comment'] = f"Cropped to {crop}x{crop} by A. Riedel on 2021.1223"
