import numpy as np
from matplotlib import pyplot as plt
import sys
from astropy.io import ascii

table = ascii.read('levels.csv')
pattern = sys.argv[1]

rows = [x for x in range(len(table)) if pattern in table[x]['Name']]
print(rows)
amounts = [.25, .3333, .5, .6666, .75, .99]

fig = plt.figure()
ax = fig.add_subplot(111)

print(np.mean(table[rows]['25%']),np.mean(table[rows]['50%']),np.mean(table[rows]['75%']),np.mean(table[rows]['99%']))
print(np.mean(table[rows]['33%']),np.mean(table[rows]['66%']),np.mean(table[rows]['99%']))

for row in rows:
	#print(table[row])
	data = []
	for item in ['25%', '33%', '50%', '66%', '75%', '99%']:
		data.append(table[row][item])
	ax.scatter(amounts,data,label=table[row]['wavelength'])
ax.legend()
ax.set_xlabel('Throughput fraction')
ax.set_ylabel('Distance (arcsec)')
ax.set_title(pattern)
plt.show()
