from astropy.io import fits
import numpy as np
import matplotlib.pyplot as plt
import sys

filename = sys.argv[1]

table = fits.open(filename)

fig = plt.figure(figsize=(14,6))
ax1 = fig.add_subplot(236)
ax2 = fig.add_subplot(231)
ax3 = fig.add_subplot(232)
ax5 = fig.add_subplot(235)
ax6 = fig.add_subplot(233)

image = table[0].data
print(image.sum())

dimensions = image.shape
middlex = dimensions[1]/2.0
middley = dimensions[0]/2.0
xs = int(middlex-dimensions[1]/5.0)
xe = int(middlex+dimensions[1]/5.0)
ys = int(middley-dimensions[0]/5.0)
ye = int(middley+dimensions[0]/5.0)

ax1.imshow(image)
ax2.imshow(np.log10(image))
ax3.imshow(np.log10(image))
ax3.set_xlim(xs,xe)
ax3.set_ylim(ys,ye)
ax5.plot(image[int(middley),:])
ax5.set_xlim(xs,xe)
ax6.plot(image[:,int(middlex)])
ax6.set_xlim(ys,ye)


plt.show()
