import sys, glob, operator

if len(sys.argv) < 2:
    print("Usage: python stellar_pop_sifter.py path/to/stellar_pop/files")
    exit(1)
else:
    files = glob.glob(f'{sys.argv[1]}/*')

outlist = []
ages = set()
for filename in files:
    split = filename.split('_')
    name = filename.split('/')[-1]
    age = split[2][6:]
    met = split[3][2:7]
    if met[0] == "m":
        met_string = f"-{met[1:]}"
    else:
        met_string = f"+{met[1:]}"
    ages.add(float(age))

    outstring = '    "ssp_a{}_z{}": '.format(age, met)
    outstring += '{\n'
    outstring += f'        "display_string": "log(age)={age} z/H={met_string}",\n'
    outstring += f'        "filename": "/grid/stellar_pop/{name}",\n'
    outstring += '        "subfam": "{}"\n'.format(age)
    outstring += '    },\n'
    outlist.append({"age": float(age), "met": float(met_string), "string": outstring})

ages = sorted(list(ages))

with open('spectra.json', 'w') as outfile:
    outfile.write("{\n")
    for x in ages:
        agefiles = [k for k in outlist if k['age'] == x]
        sortitems = sorted(agefiles, key=operator.itemgetter("met"))
        for blob in sortitems:
            outfile.write(blob['string'])
    outfile.write("}\n")
